
Redmine - Defect #31363

500 Internal Server Error

2019-05-14 03:33 - haobin li

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.0.3

Description

The number of users is about 40. So the [ActionMailer::DeliveryJob] will send lots of mails when a user commit an issuse.

The web will display "500 Internal Server Error",but the committing action is taking effect.

Related issues:

Is duplicate of Redmine - Defect #31241: intermittent 500s ActiveRecord::Conn... Closed

History

#1 - 2019-05-14 03:36 - haobin li

From version 4.0.0 to v4.0.3,the issue always exist.

#2 - 2019-05-14 04:26 - bill auger

this look like the same issue i reported a few weeks ago

https://www.redmine.org/issues/31241

#3 - 2019-05-14 04:45 - haobin li

- File production 3.log added

ActiveRecord::ConnectionTimeoutError (could not obtain a connection from the pool within 5.000 seconds (waited 5.000 seconds); all pooled

connections were in use):

5 secconds is too short.Which file/parameter couled be setted about this timer?

#4 - 2019-05-14 04:47 - Go MAEDA

Could you paste the environment information? You can find it on admin/info page.

#5 - 2019-05-14 04:50 - haobin li

Go MAEDA wrote:

Could you paste the environment information? You can find it on admin/info page.

 Information

Redmine 4.0.3.stable

Default administrator account changed

Attachments directory writable

Plugin assets directory writable (./public/plugin_assets)

RMagick available (optional)

ImageMagick convert available (optional)

Environment:

  Redmine version                4.0.3.stable

  Ruby version                   2.6.0-p0 (2018-12-25) [x86_64-linux]

  Rails version                  5.2.2.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp
SCM:

  Subversion                     1.7.14

  Git                            1.8.3.1

  Filesystem                     

Redmine plugins:

  no plugin installed

#6 - 2019-11-08 15:44 - pasquale [:dedalus]

It sound the same issue of #32314 where I have detected the magic number equals to 30

#7 - 2020-04-11 05:06 - jianmin Zhang

Have you solved this problem？ I have the same problem when I use:

Completed 500 Internal Server Error in 5004ms (ActiveRecord: 0.0ms)

ActiveRecord::ConnectionTimeoutError (could not obtain a connection from the pool within 5.000 seconds (waited 5.003 seconds); all pooled

connections were in use):

#8 - 2020-04-11 09:20 - bill auger

i have no solution; but instead, i have changed the 500 page to read: "sorry, server is overloaded - please wait while we reconnect you ..."; and added

a meta-refresh - it is super tacky; but it has stopped the complaints for now

#9 - 2020-04-11 09:27 - bill auger

FWIW - i just noticed this ticket is categorized as "Email notifications"; while my ticket #31241 is categorized "Database" - these are almost certainly

duplicates though

#10 - 2020-04-11 10:24 - Marius BĂLTEANU

- Is duplicate of Defect #31241: intermittent 500s ActiveRecord::ConnectionTimeoutError added

#11 - 2020-04-11 10:25 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing this in the favour of #31241, I've added some notes there.

Files

production1.log 38.7 KB 2019-05-14 haobin li

production2.log 23.1 KB 2019-05-14 haobin li

20190514093011.png 13.9 KB 2019-05-14 haobin li

production 3.log 11.4 KB 2019-05-14 haobin li

Powered by TCPDF (www.tcpdf.org)

2025-05-03 2/2

https://www.redmine.org/issues/32314
https://www.redmine.org/issues/31241
https://www.redmine.org/issues/31241
http://www.tcpdf.org

